FT_EEPROM_X_Series

com.ftdi.j2xx

## Class FT_EEPROM_X_Series

- java.lang.Object
- - com.ftdi.j2xx.FT_EEPROM
  - - com.ftdi.j2xx.FT_EEPROM_X_Series

-     public class FT_EEPROM_X_Series
      extends FT_EEPROM

  EEPROM data structure on the X Series

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FT_EEPROM_X_Series.CBUS` CBus Option on the X Series
    `static class` | `FT_EEPROM_X_Series.DRIVE_STRENGTH` The driver strength on the X Series

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `A_DeviceTypeValue`
    `boolean` | `A_LoadD2XX` Driver Option - Load D2XX
    `boolean` | `A_LoadVCP` Driver Option - Load Virtual Com Port
    `byte` | `AC_DriveCurrent` Drive Option - AC pins drive current.
    `boolean` | `AC_SchmittInput` Drive Option - AC pins have Schmitt input.
    `boolean` | `AC_SlowSlew` Drive Option - AC pins have slow slew.
    `byte` | `AD_DriveCurrent` Drive Option - AD pins drive current.
    `boolean` | `AD_SchmittInput` Drive Option - AD pins have Schmitt input.
    `boolean` | `AD_SlowSlew` Drive Option - AD pins have slow slew.
    `boolean` | `BCDDisableSleep` Battery Charge Detect option - Disable Sleep
    `boolean` | `BCDEnable` Battery Charge Detect option - Enable
    `boolean` | `BCDForceCBusPWREN` Battery Charge Detect option - Force CBus Power Enable
    `byte` | `CBus0` Hardware Option - CBus0 Mux Control
    `byte` | `CBus1` Hardware Option - CBus1 Mux Control
    `byte` | `CBus2` Hardware Option - CBus2 Mux Control
    `byte` | `CBus3` Hardware Option - CBus3 Mux Control
    `byte` | `CBus4` Hardware Option - CBus4 Mux Control
    `byte` | `CBus5` Hardware Option - CBus5 Mux Control
    `byte` | `CBus6` Hardware Option - CBus6 Mux Control
    `boolean` | `FT1248ClockPolarity` FT1248 Option - FT1248 clock polarity, true = clock idle high, false = clock idle low
    `boolean` | `FT1248FlowControl` FT1248 Option - FT1248 Flow Control
    `boolean` | `FT1248LSB` FT1248 Option - FT1248 LSB, true = LSB, false = MSB
    `int` | `I2CDeviceID` I2C Option - I2C Device ID
    `boolean` | `I2CDisableSchmitt` I2C Option - Disable Schmitt trigger
    `int` | `I2CSlaveAddress` I2C Option - Slave Address
    `boolean` | `InvertCTS` Hardware Option - Invert CTS signal
    `boolean` | `InvertDCD` Hardware Option - Invert DCD signal
    `boolean` | `InvertDSR` Hardware Option - Invert DSR signal
    `boolean` | `InvertDTR` Hardware Option - Invert DTR signal
    `boolean` | `InvertRI` Hardware Option - Invert RI signal
    `boolean` | `InvertRTS` Hardware Option - Invert RTS signal
    `boolean` | `InvertRXD` Hardware Option - Invert RXD signal
    `boolean` | `InvertTXD` Hardware Option - Invert TXD signal
    `boolean` | `PowerSaveEnable` Hardware Option - Power Save Enable if using BCBus7 to save power for self-powered designs.
    `boolean` | `RS485EchoSuppress` Hardware Option - RS485 Echo Suppression

    - ### Fields inherited from class com.ftdi.j2xx.FT_EEPROM

      `DeviceType, Manufacturer, MaxPower, Product, ProductId, PullDownEnable, RemoteWakeup, SelfPowered, SerialNumber, SerNumEnable, VendorId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_EEPROM_X_Series()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### A_DeviceTypeValue

          public short A_DeviceTypeValue

    - #### A_LoadVCP

          public boolean A_LoadVCP

      Driver Option - Load Virtual Com Port

    - #### A_LoadD2XX

          public boolean A_LoadD2XX

      Driver Option - Load D2XX

    - #### BCDEnable

          public boolean BCDEnable

      Battery Charge Detect option - Enable

    - #### BCDForceCBusPWREN

          public boolean BCDForceCBusPWREN

      Battery Charge Detect option - Force CBus Power Enable

    - #### BCDDisableSleep

          public boolean BCDDisableSleep

      Battery Charge Detect option - Disable Sleep

    - #### CBus0

          public byte CBus0

      Hardware Option - CBus0 Mux Control

    - #### CBus1

          public byte CBus1

      Hardware Option - CBus1 Mux Control

    - #### CBus2

          public byte CBus2

      Hardware Option - CBus2 Mux Control

    - #### CBus3

          public byte CBus3

      Hardware Option - CBus3 Mux Control

    - #### CBus4

          public byte CBus4

      Hardware Option - CBus4 Mux Control

    - #### CBus5

          public byte CBus5

      Hardware Option - CBus5 Mux Control

    - #### CBus6

          public byte CBus6

      Hardware Option - CBus6 Mux Control

    - #### FT1248ClockPolarity

          public boolean FT1248ClockPolarity

      FT1248 Option - FT1248 clock polarity, true = clock idle high, false = clock idle low

    - #### FT1248LSB

          public boolean FT1248LSB

      FT1248 Option - FT1248 LSB, true = LSB, false = MSB

    - #### FT1248FlowControl

          public boolean FT1248FlowControl

      FT1248 Option - FT1248 Flow Control

    - #### InvertTXD

          public boolean InvertTXD

      Hardware Option - Invert TXD signal

    - #### InvertRXD

          public boolean InvertRXD

      Hardware Option - Invert RXD signal

    - #### InvertRTS

          public boolean InvertRTS

      Hardware Option - Invert RTS signal

    - #### InvertCTS

          public boolean InvertCTS

      Hardware Option - Invert CTS signal

    - #### InvertDTR

          public boolean InvertDTR

      Hardware Option - Invert DTR signal

    - #### InvertDSR

          public boolean InvertDSR

      Hardware Option - Invert DSR signal

    - #### InvertDCD

          public boolean InvertDCD

      Hardware Option - Invert DCD signal

    - #### InvertRI

          public boolean InvertRI

      Hardware Option - Invert RI signal

    - #### I2CSlaveAddress

          public int I2CSlaveAddress

      I2C Option - Slave Address

    - #### I2CDeviceID

          public int I2CDeviceID

      I2C Option - I2C Device ID

    - #### I2CDisableSchmitt

          public boolean I2CDisableSchmitt

      I2C Option - Disable Schmitt trigger

    - #### AD_SlowSlew

          public boolean AD_SlowSlew

      Drive Option - AD pins have slow slew.

    - #### AD_SchmittInput

          public boolean AD_SchmittInput

      Drive Option - AD pins have Schmitt input.

    - #### AD_DriveCurrent

          public byte AD_DriveCurrent

      Drive Option - AD pins drive current.

    - #### AC_SlowSlew

          public boolean AC_SlowSlew

      Drive Option - AC pins have slow slew.

    - #### AC_SchmittInput

          public boolean AC_SchmittInput

      Drive Option - AC pins have Schmitt input.

    - #### AC_DriveCurrent

          public byte AC_DriveCurrent

      Drive Option - AC pins drive current.

    - #### RS485EchoSuppress

          public boolean RS485EchoSuppress

      Hardware Option - RS485 Echo Suppression

    - #### PowerSaveEnable

          public boolean PowerSaveEnable

      Hardware Option - Power Save Enable if using BCBus7 to save power for self-powered designs.

  - ### Constructor Detail

    - #### FT_EEPROM_X_Series

          public FT_EEPROM_X_Series()

About FTDI | FTDI Licence Terms